function [t,y] = ExponentialRK2(f,df,y0,T,h,alpha)
% this code solves the differential equation y'=F(y) and Jacobi DF using a
% 2-stage Exponential Runge-Kutta method.
%

 
  
  if nargin < 6;
    alpha = 1;
  end
  
% Initialize variables
  N =              ; % number of steps
  h =        ; % adjust step size to fit interval length
  d =        ; % dimension of solution
  t =          ; % time grid
  y =        ; % solution
  y(:,1) =       ; % set initial value


% Compute solution
  for j=1:...
    y(:,   ) = ExponentialRK2Step(...............);
  end

end

function y = ExponentialRK2Step(f,df,y0,t,h,alpha)

  c  =     ;
  a21 =      ;
  c21 =          ;

  b = nan(size(y0));
  b(2) =          ;
  b(1) =        ;

  DF = df(t,y0);

  phi =               ;

  u = nan(size(y0));
  k = nan(size(y0));
  
  u(:,1) =         ;
  k(:,1) =           ;
  
  u(:,2) =           ;
  k(:,2) =               ;

  y =                   ;

end
